Subject: bug#47466: closed (Re: [bug#47466] [PATCH] scripts: import: cran: Add missing help for 'style' option.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 29 Mar 2021 18:58:02 +0000

Your bug report

#47466: [PATCH] scripts: import: cran: Add missing help for 'style' option.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47466: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47466
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#47466] [PATCH] scripts: import: cran: Add missing help for 'style' option.
From: Christopher Baines <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Mon, 29 Mar 2021 19:57:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

zimoun <[email-masked]> writes:

> * guix/scripts/import/cran.scm (show-help): Add help message for 'style'
> option.
> ---
>  guix/scripts/import/cran.scm | 3 +++
>  1 file changed, 3 insertions(+)
>
> diff --git a/guix/scripts/import/cran.scm b/guix/scripts/import/cran.scm
> index 4767bc082d..466d0cb8e2 100644
> --- a/guix/scripts/import/cran.scm
> +++ b/guix/scripts/import/cran.scm
> @@ -50,6 +50,9 @@ Import and convert the CRAN package for PACKAGE-NAME.\n"))
>    (display (G_ "
>    -r, --recursive        import packages recursively"))
>    (display (G_ "
> +  -s SPECIFICATIONS, --style=SPECIFICATIONS
> +                         specify package specifications instead of references"))
> +  (display (G_ "
>    -V, --version          display version information and exit"))
>    (newline)
>    (show-bug-report-information))

I changed the message, and pushed this as
55c25ee4c5cee0707c94f773eb7d1686f79cff75.

+  -s, --style=STYLE      choose output style, either specification or variable"))

In my view, the thing in caps is a placeholder, so I put STYLE rather
than SPECIFICATIONS, I also altered the message to hint at what this
controls (the output), and the supported values.

Thanks,

Chris

Subject: [PATCH] scripts: import: cran: Add missing help for 'style' option.
From: zimoun <[email-masked]>
To: [email-masked]
Cc: zimoun <[email-masked]>
Date: Mon, 29 Mar 2021 15:11:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* guix/scripts/import/cran.scm (show-help): Add help message for 'style'
option.
---
 guix/scripts/import/cran.scm | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/guix/scripts/import/cran.scm b/guix/scripts/import/cran.scm
index 4767bc082d..466d0cb8e2 100644
--- a/guix/scripts/import/cran.scm
+++ b/guix/scripts/import/cran.scm
@@ -50,6 +50,9 @@ Import and convert the CRAN package for PACKAGE-NAME.\n"))
   (display (G_ "
   -r, --recursive        import packages recursively"))
   (display (G_ "
+  -s SPECIFICATIONS, --style=SPECIFICATIONS
+                         specify package specifications instead of references"))
+  (display (G_ "
   -V, --version          display version information and exit"))
   (newline)
   (show-bug-report-information))
-- 
2.28.0